Bug 1021113 - [abrt] gnome-shell-3.10.1-1.fc20: intel_miptree_used_for_rendering: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.10.1-1.fc20: intel_miptree_used_for_rendering: Process /...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:ed8124d6a1eb7e8a0c7b6aa5a2f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 10:45 EDT by Anonymous
Modified: 2015-06-29 08:40 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:40:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.24 KB, text/plain)
2013-10-19 10:45 EDT, Anonymous
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-19 10:45 EDT, Anonymous
no flags Details
File: core_backtrace (26.89 KB, text/plain)
2013-10-19 10:45 EDT, Anonymous
no flags Details
File: dso_list (24.72 KB, text/plain)
2013-10-19 10:45 EDT, Anonymous
no flags Details
File: environ (1.46 KB, text/plain)
2013-10-19 10:45 EDT, Anonymous
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-19 10:45 EDT, Anonymous
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-19 10:45 EDT, Anonymous
no flags Details
File: maps (116.59 KB, text/plain)
2013-10-19 10:45 EDT, Anonymous
no flags Details
File: open_fds (4.67 KB, text/plain)
2013-10-19 10:46 EDT, Anonymous
no flags Details
File: proc_pid_status (950 bytes, text/plain)
2013-10-19 10:46 EDT, Anonymous
no flags Details
File: var_log_messages (3.62 KB, text/plain)
2013-10-19 10:46 EDT, Anonymous
no flags Details

  None (edit)
Description Anonymous 2013-10-19 10:45:23 EDT
Description of problem:
I updated steam beta. Then restarted. I started Couter Strike Source. When it was loading, I figured out that sound is muted, so I typed alt+tab, changed sound volume and went back to CS:S via typing alt+tab. And then it crashed. Gnome showed to me information about problem, and the only option showed to me was log out. I clicked on it, but I still had old windows on screen, but probably without window manager because I didn't see bar with clock and date etc.

Version-Release number of selected component:
gnome-shell-3.10.1-1.fc20

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: intel_miptree_used_for_rendering
executable:     /usr/bin/gnome-shell
kernel:         3.11.5-302.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 intel_miptree_used_for_rendering at intel_mipmap_tree.h:678
 #1 brw_update_renderbuffer_surface at brw_wm_surface_state.c:634
 #2 brw_update_renderbuffer_surfaces at brw_wm_surface_state.c:716
 #3 brw_upload_state at brw_state_upload.c:513
 #4 brw_try_draw_prims at brw_draw.c:445
 #5 brw_draw_prims at brw_draw.c:530
 #6 vbo_draw_arrays at ../../../src/mesa/vbo/vbo_exec_array.c:660
 #7 _cogl_journal_flush_modelview_and_entries at ./cogl-journal.c:307
 #8 batch_and_call at ./cogl-journal.c:259
 #9 _cogl_journal_flush_texcoord_vbo_offsets_and_entries at ./cogl-journal.c:558

Potential duplicate: bug 1019051
Comment 1 Anonymous 2013-10-19 10:45:27 EDT
Created attachment 814004 [details]
File: backtrace
Comment 2 Anonymous 2013-10-19 10:45:31 EDT
Created attachment 814005 [details]
File: cgroup
Comment 3 Anonymous 2013-10-19 10:45:35 EDT
Created attachment 814006 [details]
File: core_backtrace
Comment 4 Anonymous 2013-10-19 10:45:39 EDT
Created attachment 814007 [details]
File: dso_list
Comment 5 Anonymous 2013-10-19 10:45:43 EDT
Created attachment 814008 [details]
File: environ
Comment 6 Anonymous 2013-10-19 10:45:47 EDT
Created attachment 814009 [details]
File: exploitable
Comment 7 Anonymous 2013-10-19 10:45:51 EDT
Created attachment 814010 [details]
File: limits
Comment 8 Anonymous 2013-10-19 10:45:57 EDT
Created attachment 814011 [details]
File: maps
Comment 9 Anonymous 2013-10-19 10:46:01 EDT
Created attachment 814012 [details]
File: open_fds
Comment 10 Anonymous 2013-10-19 10:46:05 EDT
Created attachment 814013 [details]
File: proc_pid_status
Comment 11 Anonymous 2013-10-19 10:46:09 EDT
Created attachment 814014 [details]
File: var_log_messages
Comment 12 Simon Gerhards 2013-11-07 07:56:10 EST
I was running a full screen game (Kerbal Space Program) and switched desktops. The game itself crashed as well as Gnome-Shell.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: intel_miptree_used_for_rendering
executable:     /usr/bin/gnome-shell
kernel:         3.11.7-300.fc20.x86_64
package:        gnome-shell-3.10.1-2.fc20
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            10001
Comment 13 Simon Gerhards 2013-11-07 08:01:23 EST
Additional info to the problem: This does not happen every time when I switch to a different desktop while running the game. I couldn't figure out when exactly this happens it just does sometimes.
Comment 14 Stanislav Graf 2013-11-28 15:57:37 EST
I was able to reproduce it only twice. Something breaks during switching video in mplayer  from full screen to window.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: intel_miptree_used_for_rendering
executable:     /usr/bin/gnome-shell
kernel:         3.11.9-300.fc20.x86_64
package:        gnome-shell-3.10.2.1-2.fc20
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Stanislav Graf 2013-11-30 05:35:49 EST
Crash happened during video playback using mplayer.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: intel_miptree_used_for_rendering
executable:     /usr/bin/gnome-shell
kernel:         3.11.9-300.fc20.x86_64
package:        gnome-shell-3.10.2.1-2.fc20
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Arif Tri Waluyo 2014-01-02 13:39:11 EST
Another user experienced a similar problem:

Play game in fullscreen and then adjust the volume sound and then Crash

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: intel_miptree_used_for_rendering
executable:     /usr/bin/gnome-shell
kernel:         3.12.5-302.fc20.x86_64
package:        gnome-shell-3.10.2.1-3.fc20
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Michal Ambroz 2014-01-04 11:19:05 EST
Another user experienced a similar problem:

This happens to me all the time when switching the windows, pressing the windows key or switching from fullscreen mode.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: intel_miptree_used_for_rendering
executable:     /usr/bin/gnome-shell
kernel:         3.12.5-302.fc20.x86_64
package:        gnome-shell-3.10.2.1-3.fc20
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 David Guerra 2014-04-24 20:34:01 EDT
Another user experienced a similar problem:

Playing embedded video on Google chrome by using Tethering on an android (Jelly Bean 4.4) as modem, suddenly the bug report popup window appeared at the bottom of the screen, then I opend the Automatic Bug Report tool to double check the error message regarding the gnome-shel coredump.
Regards


reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: intel_miptree_used_for_rendering
executable:     /usr/bin/gnome-shell
kernel:         3.13.10-200.fc20.i686
package:        gnome-shell-3.10.4-2.fc20
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Fedora End Of Life 2015-05-29 05:35:49 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-06-29 08:40:10 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.